/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_profile.c,v $
 *
 * HISTORY
 * $Log: scout_profile.c,v $
 * Revision 1.4  1996/01/30  22:49:51  slm
 * Updated copyright and version.
 *
 * Revision 1.3.1.1  1994/12/02  23:53:10  hkaram
 * New branch
 *
 * Revision 1.3  1994/12/02  23:15:17  davidm
 * Minor fixes.
 *
 * Revision 1.2  1994/11/20  06:39:40  davidm
 * Added comment.
 *
 * Revision 1.1  1994/07/30  03:27:31  davidm
 * Initial revision
 *
 */
#include <sys/types.h>
#include "scout_profile.h"

/*
 * This declaration must match the declaration in the timer interrupt
 * handler:
 */
struct {
    short	*buf;
    u_long	buf_size;
    u_long	offset;
    u_long	scale;
} profparams = {0, 0, 0, 0};


void
scout_profile(short *buf, u_long buf_size, u_long offset, u_long scale)
{
    profparams.buf	= buf;
    profparams.buf_size = buf_size;
    profparams.offset   = offset;
    profparams.scale    = scale;
} /* scout_profile */

			/*** end of scout_profile.c ***/
