/* 
 * time.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1996,1993,1991,1990  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/04/25 20:56:41 $
 * 
 * HISTORY 
 * $Log: time.c,v $
 * Revision 1.2  1996/04/25  20:56:41  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/28  22:50:43  slm
 * Initial revision
 *
 * Revision 1.1  1994/10/26  20:41:50  hkaram
 * Initial revision
 */

/*#include <sys/time.h>*/
#include "xtime.h"
#include "xsim.h"

#ifdef __STDC__

int	gettimeofday( struct timeval *);

#endif

void
xGetTime(t)
    XTime *t;
{
    t->sec = xsimCurrentTime/(1000000/xsimTimeGranularity);
    t->usec = (xsimCurrentTime%(1000000/xsimTimeGranularity)*xsimTimeGranularity);
}
